com.unitech.lib.types

## Enum FirmwareUpdateMode

- java.lang.Object
- - java.lang.Enum<FirmwareUpdateMode>
  - - com.unitech.lib.types.FirmwareUpdateMode

- All Implemented Interfaces:
    IEnumType, Serializable, Comparable<FirmwareUpdateMode>

      public enum FirmwareUpdateMode
      extends Enum<FirmwareUpdateMode>
      implements IEnumType

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `File`
    `YModem`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the enum code value
    `String` | `toString()` Return the name of the enum
    `static FirmwareUpdateMode` | `valueOf(int code)` Returns the enum constant of this type with the specified code.
    `static FirmwareUpdateMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FirmwareUpdateMode` | `valueOfName(String name)` Returns the enum constant of this type with the specified name.
    `static FirmwareUpdateMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### File

          public static final FirmwareUpdateMode File

    - #### YModem

          public static final FirmwareUpdateMode YModem

  - ### Method Detail

    - #### values

          public static FirmwareUpdateMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FirmwareUpdateMode c : FirmwareUpdateMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FirmwareUpdateMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value

    - #### toString

          public String toString()

      Description copied from interface: `IEnumType`
      Return the name of the enum
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `Enum<FirmwareUpdateMode>`
      Returns:
        The name of the enum

    - #### valueOf

          public static FirmwareUpdateMode valueOf(int code)

      Returns the enum constant of this type with the specified code.
      Parameters:
        `code` - The code to check
      Returns:
        The enum constant with the specified code

    - #### valueOfName

          public static FirmwareUpdateMode valueOfName(String name)

      Returns the enum constant of this type with the specified name.
      Parameters:
        `name` - The name to check.
      Returns:
        The enum constant with the specified name.